Bug 16 - The GUI should warn about unsaved queries
Summary: The GUI should warn about unsaved queries
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: GUI (show other bugs)
Version: 3.5.7
Hardware: All All
: P2 enhancement
Assignee: Robert Olesen
URL:
Depends on:
Blocks:
 
Reported: 2003-06-26 14:27 CEST by Gerd Behrmann
Modified: 2005-11-12 13:14 CET (History)
0 users

See Also:
Architecture:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerd Behrmann 2003-06-26 14:27:54 CEST
When a new project is loaded or UPPAAL is closed, the user should be asked
whether he/she wants to save the current queries (in case they have not already
been saved). This currently happens for the model, but not for the queries.
Comment 1 Gerd Behrmann 2005-06-29 21:17:05 CEST
Moved enhancement request to 3.5.7, as only bug fixes are allowed in previous releases.
Comment 2 Gerd Behrmann 2005-08-25 16:27:43 CEST
Reassigning to Mads.

Mads, this is a serious usability problem and it would be great if you fix it.
Comment 3 Mads Schaarup Andersen 2005-09-28 14:10:30 CEST
Reassigned to robert
Comment 4 Robert Olesen 2005-10-19 13:23:33 CEST
This bug is active when a new query is opened or new queries are loaded.
Comment 5 Robert Olesen 2005-11-12 13:14:02 CET
The code for the requested functionality has now been submitted into CVS.